Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 191137 - check_link_down timeout is too short
check_link_down timeout is too short
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 00:07 EDT by John Newbigin
Modified: 2014-03-16 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 11:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Newbigin 2006-05-09 00:07:51 EDT
Description of problem:
the check_link_down function in /etc/sysconfig/network-scripts/network-functions
is too short for our network.  We are on a Cisco Catalyst 4507R and it takes
ages for the link to come up.

Version-Release number of selected component (if applicable):
7.93.24.EL-1.1

How reproducible:
Most of the time

Steps to Reproduce:
1. Configure eth0 to dhcp
2. run "ifup eth0"
3.
  
Actual results:
Determining IP information for eth0... failed; no link present.  Check cable?

Expected results:
Determining IP information for eth0... done.

Additional info:
Our temporary fix is to change
while [ $timeout -le 10 ]; do
into 
while [ $timeout -le 20 ]; do

This file is marked as a config file so it is OK if we update, but this should
have a better default, or at least be user configurabe.
Comment 1 Bill Nottingham 2006-08-01 11:18:05 EDT
This will be fixed for RHEL 5 via the LINKDELAY parameter.

Red Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.